Subject: [RFC PATCH 6/6] hwmon: OMAP4: On die temperature sensor driver

From: [email-masked] (Kevin Hilman)
Date: Mon, 22 Aug 2011 16:58:32 -0700

Rajendra Nayak <[email-masked]> writes:

[...]

> FWIK, its a one time requirement to set the clock rate to the
> right rate the device can operate in based on what a platform
> supports. 

Except $SUBJECT patch hard-codes the clock rate for all platforms in the
driver.

If the clock rate is to be platform-specific, it should be done in
platform-specific code.

Kevin